package digital.laboratory.platform.inspection.dto;

import digital.laboratory.platform.inspection.utils.datafile.nps.NPSTestDetailDataStruct;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author xy
 * @version 1.0
 * @title NPSCaseTestData  NPS 案件定性数据文件对象--原始数据
 * @description
 * @create 2024/1/19 10:39
 */
@Data
public class NPSCaseTestDataDto extends BaseCaseDataDto<NPSTestDetailDataStruct>{

    @ApiModelProperty("对应的检验数据id")
    private String testSampleDataId;

    private String sampleNo;
    private String sampleName;
    private String testId;//所属实验的ID
    private double targetRtTime;//目标物保留时间
    private String targetConcentration;//目标物浓度
    private double stdRtTime;//标准物保留时间
    private String stdConcentration;//标准物浓度
    private double rtTimeError;//保留时间相对偏差
    private String rtTimeWithinError;//保留时间是否在误差范围内
    private int isDetected;//是否检出目标化合物
    private String sampleType;//样本类型- QC(质控)  STD(标准品) Analyte(待测样品)
    private List<NPSTestDetailDataStruct> testSampleDataList;//检验数据详情

    @ApiModelProperty("是否检出")
    private String whetherCheckOut;

    @ApiModelProperty("业务类型")
    private String businessType;

    @ApiModelProperty("定量结果")
    private String quantitativeResults;

    @ApiModelProperty("化合物名称")
    private String compoundName;

    @ApiModelProperty("化合物的中文名称")
    private String compoundCnName;

    //返回化合物名称
    /*public String getCompoundName(){
        String compoundName="";
        for (NPSTestDetailDataStruct npsTestDetailDataStruct : testSampleDataList) {
            compoundName=npsTestDetailDataStruct.getName();
            break;
        }
        return compoundName;
    }*/
    /*private String getDetectedResult(){
        if(isDetected==1){
            whetherCheckOut = "检出"+getCompoundName();
            return whetherCheckOut;
        }else {
            whetherCheckOut = "未检出"+getCompoundName();
            return whetherCheckOut;
        }

    }*/
}
